Package org.eclipse.jface.text.templates

## Class GlobalTemplateVariables.Dollar

- java.lang.Object
- - org.eclipse.jface.text.templates.TemplateVariableResolver
  - - org.eclipse.jface.text.templates.SimpleTemplateVariableResolver
    - - org.eclipse.jface.text.templates.GlobalTemplateVariables.Dollar

Enclosing class:
  GlobalTemplateVariables

    public static class GlobalTemplateVariables.Dollar
    extends SimpleTemplateVariableResolver

The dollar variable inserts an escaped dollar symbol.

### Constructor Summary

Constructors
`Dollar()` Creates a new dollar variable

### Method Summary

### Methods inherited from class org.eclipse.jface.text.templates.SimpleTemplateVariableResolver

`isUnambiguous, resolve, setEvaluationString`

### Methods inherited from class org.eclipse.jface.text.templates.TemplateVariableResolver

`getDescription, getType, resolve, resolveAll, setDescription, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Dollar

    public Dollar()

Creates a new dollar variable